Bug 149087 - http/tests/cache/disk-cache/ tests are flaky
Summary: http/tests/cache/disk-cache/ tests are flaky
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Page Loading (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Antti Koivisto
URL:
Keywords:
: 149809 (view as bug list)
Depends on: 170547 175982
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-11 21:42 PDT by Alexey Proskuryakov
Modified: 2017-11-16 14:18 PST (History)
7 users (show)

See Also:


Attachments
Add TestExpectations (1.97 KB, patch)
2015-10-13 13:37 PDT, Ryan Haddad
no flags Details | Formatted Diff | Diff
Update TestExpectations (1.53 KB, patch)
2015-10-15 13:52 PDT, Ryan Haddad
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2015-09-11 21:42:03 PDT
http/tests/cache/disk-cache/disk-cache-cancel.html frequently fails on release WK2 bots:

https://webkit-test-results.webkit.org/dashboards/flakiness_dashboard.html#showAllRuns=true&tests=http%2Ftests%2Fcache%2Fdisk-cache%2Fdisk-cache-cancel.html&showExpectations=true&revision=189595

@@ -12,10 +12,10 @@
 response source: Network
 
 response headers: {"Cache-control":"max-age=100"}
-response source: Network
+response source: Disk cache
 
 response headers: {"Cache-control":"max-age=0","ETag":"match"}
-response source: Network
+response source: Disk cache
 
 PASS successfullyParsed is true
 

This has been happening ever since the test was landed.
Comment 1 Alexey Proskuryakov 2015-09-11 21:47:20 PDT
Marked as flaky in r189647.
Comment 2 Ryan Haddad 2015-10-13 08:24:30 PDT
*** Bug 149809 has been marked as a duplicate of this bug. ***
Comment 3 Ryan Haddad 2015-10-13 13:37:48 PDT
Created attachment 263016 [details]
Add TestExpectations
Comment 4 WebKit Commit Bot 2015-10-13 14:28:57 PDT
Comment on attachment 263016 [details]
Add TestExpectations

Clearing flags on attachment: 263016

Committed r191006: <http://trac.webkit.org/changeset/191006>
Comment 5 WebKit Commit Bot 2015-10-13 14:29:01 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Ryan Haddad 2015-10-13 14:29:30 PDT
Reopening due to auto-close. Issue not resolved.
Comment 7 Ryan Haddad 2015-10-15 13:52:37 PDT
Created attachment 263185 [details]
Update TestExpectations

Adding http/tests/cache/disk-cache/disk-cache-vary-no-body.html to the list of flaky disk-cache tests.
Comment 8 WebKit Commit Bot 2015-10-15 17:10:15 PDT
Comment on attachment 263185 [details]
Update TestExpectations

Clearing flags on attachment: 263185

Committed r191152: <http://trac.webkit.org/changeset/191152>
Comment 9 WebKit Commit Bot 2015-10-15 17:10:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Ryan Haddad 2015-10-15 17:10:48 PDT
Undo-ing auto close.
Comment 11 Jiewen Tan 2016-04-05 11:51:48 PDT
disk-cache-validation-back-navigation-policy.html comes to time out in iOS simulator.
https://build.webkit.org/builders/Apple%20iOS%209%20Simulator%20Release%20WK2%20(Tests)/builds/4571
Comment 12 Jiewen Tan 2016-04-07 15:25:52 PDT
Committed r199192: <http://trac.webkit.org/changeset/199192>
Comment 13 Jiewen Tan 2016-04-07 15:26:25 PDT
Mark http/tests/cache/disk-cache/disk-cache-validation-back-navigation-policy.html as timeout in ios-simulator-wk2
Comment 14 Jiewen Tan 2016-04-14 22:50:24 PDT
Committed r199574: <http://trac.webkit.org/changeset/199574>
Comment 15 Jiewen Tan 2016-04-14 22:51:12 PDT
Mark http/tests/cache/disk-cache/disk-cache-vary.html as flaky for ios-simulator-wk2

Reopen to counter auto-closing.
Comment 16 Jiewen Tan 2016-04-14 23:04:06 PDT
Committed r199575: <http://trac.webkit.org/changeset/199575>
Comment 17 Jiewen Tan 2016-04-14 23:05:05 PDT
Mark http/tests/cache/disk-cache/disk-cache-vary-no-body.html as flaky for ios-simulator-wk2

Reopen to counter auto-closing.(In reply to comment #16)
> Committed r199575: <http://trac.webkit.org/changeset/199575>
Comment 18 Jiewen Tan 2016-04-14 23:29:10 PDT
Reopen to counter auto-closing.
Comment 19 Joseph Pecoraro 2017-03-06 20:33:51 PST
So basically all Disk Cache tests are [ Pass Fail ] and a bunch are [ Pass Fail Timeout ]?
Comment 20 Antti Koivisto 2017-08-25 05:13:04 PDT
Release tests are now run normally after http://trac.webkit.org/changeset/221185.